summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Schleef <ds@schleef.org>2005-01-10 04:58:38 +0000
committerDavid Schleef <ds@schleef.org>2005-01-10 04:58:38 +0000
commit0fa5a5131ca8418ab2887ad14f00a34215067484 (patch)
tree313d5dec045bfe165546bba5befc3ca625a13955
parent857c1da62991fc3b603d1b2886c0eb931f580996 (diff)
downloadliboil-0fa5a5131ca8418ab2887ad14f00a34215067484.tar.gz
* autogen.sh: new and improved simple autogen.sh
* configure.ac: oops, define libversion correctly
-rw-r--r--ChangeLog5
-rwxr-xr-xautogen.sh8
-rw-r--r--configure.ac2
3 files changed, 8 insertions, 7 deletions
diff --git a/ChangeLog b/ChangeLog
index e2c686c..d4789af 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,10 @@
2005-01-09 David Schleef <ds@schleef.org>
+ * autogen.sh: new and improved simple autogen.sh
+ * configure.ac: oops, define libversion correctly
+
+2005-01-09 David Schleef <ds@schleef.org>
+
* AUTHORS: add
* INSTALL: add
* Makefile.am: add ACLOCAL_FLAGS
diff --git a/autogen.sh b/autogen.sh
index e0e2f54..d35752b 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,9 +1,5 @@
#!/bin/sh
set -x
-aclocal -I m4
-libtoolize --force
-autoheader
-autoconf
-automake -a --foreign
-#./configure --enable-maintainer-mode --enable-alternate-optimization $@
+set -e
+autoreconf -i -f
./configure --enable-maintainer-mode --disable-static $@
diff --git a/configure.ac b/configure.ac
index 97e690f..f250010 100644
--- a/configure.ac
+++ b/configure.ac
@@ -23,7 +23,7 @@ dnl - library source changed -> increment REVISION
dnl - interfaces added/removed/changed -> increment CURRENT, REVISION = 0
dnl - interfaces added -> increment AGE
dnl - interfaces removed -> AGE = 0
-LIBOIL_LIBVERSION="-release 0:0:0"
+LIBOIL_LIBVERSION="0:0:0"
AC_SUBST(LIBOIL_LIBVERSION)
AM_PROG_LIBTOOL